Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class HandlersChain

    java.lang.Object
      org.richfaces.renderkit.util.HandlersChain

    public final class HandlersChain

extends Object

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, boolean includeClientId)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)`
`HandlersChain(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters, boolean includeClientId)`

Method Summary
`void` | `addAjaxSubmitFunction()`
`void` | `addBehaviors(String domEventName)`
`void` | `addBehaviors(String domEventName, String logicalEventName)`
`void` | `addInlineHandlerAsValue(String handlerValue)`
`void` | `addInlineHandlerFromAttribute(String attributeName)`
`static List<javax.faces.component.behavior.ClientBehaviorContext.Parameter>` | `createParametersList(Map<String,Object> parametersMap)`
`boolean` | `hasSubmittingBehavior()`
`String` | `toScript()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         boolean includeClientId)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters)

### HandlersChain

    public HandlersChain(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         Collection<javax.faces.component.behavior.ClientBehaviorContext.Parameter> parameters,
                         boolean includeClientId)

Method Detail

### hasSubmittingBehavior

    public boolean hasSubmittingBehavior()

### addInlineHandlerAsValue

    public void addInlineHandlerAsValue(String handlerValue)

### addInlineHandlerFromAttribute

    public void addInlineHandlerFromAttribute(String attributeName)

### addBehaviors

    public void addBehaviors(String domEventName)

### addBehaviors

    public void addBehaviors(String domEventName,
                             String logicalEventName)

### addAjaxSubmitFunction

    public void addAjaxSubmitFunction()

### toScript

    public String toScript()

### createParametersList

    public static List<javax.faces.component.behavior.ClientBehaviorContext.Parameter> createParametersList(Map<String,Object> parametersMap)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.